=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-01-26 00:19:35 +0000
+++ drizzled/drizzled.cc	2009-01-27 01:43:42 +0000
@@ -253,7 +253,6 @@
 static char *default_collation_name;
 static char *default_storage_engine_str;
 static char compiled_default_collation_name[]= DRIZZLE_DEFAULT_COLLATION_NAME;
-static I_List<Session> thread_cache;
 
 /* Global variables */
 
@@ -3412,7 +3411,6 @@
   myisam_recover_options_str= "OFF";
   myisam_stats_method_str= "nulls_unequal";
   threads.empty();
-  thread_cache.empty();
   key_caches.empty();
   if (!(dflt_key_cache= get_or_create_key_cache(default_key_cache_base.str,
                                                 default_key_cache_base.length)))

=== modified file 'drizzled/scheduling.cc'
--- drizzled/scheduling.cc	2009-01-24 16:48:34 +0000
+++ drizzled/scheduling.cc	2009-01-27 01:43:42 +0000
@@ -89,7 +89,7 @@
 int scheduling_finalizer(st_plugin_int *plugin)
 {
   /* We know which one we initialized since its data pointer is filled */
-  if (plugin->plugin->deinit && plugin->state == PLUGIN_IS_READY)
+  if (plugin->plugin->deinit && plugin->data)
   {
     if (plugin->plugin->deinit((void *)&thread_scheduler))
     {

=== modified file 'plugin/pool_of_threads/pool_of_threads.cc'
--- plugin/pool_of_threads/pool_of_threads.cc	2009-01-26 00:19:35 +0000
+++ plugin/pool_of_threads/pool_of_threads.cc	2009-01-27 01:43:42 +0000
@@ -574,6 +574,7 @@
 
 static int deinit(void *)
 {
+  fprintf(stderr, "Entering pool shutdown \n");
   libevent_end();
   return 0;
 }

=== modified file 'tests/lib/mtr_process.pl'
--- tests/lib/mtr_process.pl	2008-07-15 21:01:59 +0000
+++ tests/lib/mtr_process.pl	2009-01-27 01:43:42 +0000
@@ -374,46 +374,6 @@
     $srv->{'pid'}= 0; # Assume we are done with it
   }
 
-  if ( ! $::opt_skip_ndbcluster )
-  {
-
-    foreach my $cluster (@{$::clusters})
-    {
-
-      # Don't shut down a "running" cluster
-      next if $cluster->{'use_running'};
-
-      mtr_debug("  - cluster " .
-		"(pid: $cluster->{pid}; " .
-		"pid file: '$cluster->{path_pid})");
-
-      my $pid= mtr_ndbmgm_start($cluster, "shutdown");
-
-      # Save the pid of the ndb_mgm process
-      $admin_pids{$pid}= 1;
-
-      push(@kill_pids,{
-		       pid      => $cluster->{'pid'},
-		       pidfile  => $cluster->{'path_pid'}
-		      });
-
-      $cluster->{'pid'}= 0; # Assume we are done with it
-
-      foreach my $ndbd (@{$cluster->{'ndbds'}})
-      {
-	mtr_debug("    - ndbd " .
-		  "(pid: $ndbd->{pid}; " .
-		  "pid file: '$ndbd->{path_pid})");
-
-	push(@kill_pids,{
-			 pid      => $ndbd->{'pid'},
-			 pidfile  => $ndbd->{'path_pid'},
-			});
-	$ndbd->{'pid'}= 0; # Assume we are done with it
-      }
-    }
-  }
-
   # Wait for all the admin processes to complete
   mtr_wait_blocking(\%admin_pids);
 

